org.keycloak.representations.idm

## Class UserSessionRepresentation

- java.lang.Object
- - org.keycloak.representations.idm.UserSessionRepresentation

-     public class UserSessionRepresentation
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserSessionRepresentation()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,String>` | `getApplications()`
    `Map<String,String>` | `getClients()`
    `String` | `getId()`
    `String` | `getIpAddress()`
    `long` | `getLastAccess()`
    `long` | `getStart()`
    `String` | `getUser()`
    `void` | `setApplications(Map<String,String> applications)`
    `void` | `setClients(Map<String,String> clients)`
    `void` | `setId(String id)`
    `void` | `setIpAddress(String ipAddress)`
    `void` | `setLastAccess(long lastAccess)`
    `void` | `setStart(long start)`
    `void` | `setUser(String user)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UserSessionRepresentation

          public UserSessionRepresentation()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getUser

          public String getUser()

    - #### setUser

          public void setUser(String user)

    - #### getIpAddress

          public String getIpAddress()

    - #### setIpAddress

          public void setIpAddress(String ipAddress)

    - #### getStart

          public long getStart()

    - #### setStart

          public void setStart(long start)

    - #### getLastAccess

          public long getLastAccess()

    - #### setLastAccess

          public void setLastAccess(long lastAccess)

    - #### getApplications

          public Map<String,String> getApplications()

    - #### setApplications

          public void setApplications(Map<String,String> applications)

    - #### getClients

          public Map<String,String> getClients()

    - #### setClients

          public void setClients(Map<String,String> clients)

Copyright © 2015. All Rights Reserved.